<div
  class='d-none map-view'
  data-extent-view={{this.extentView}}
  data-extent-set={{this.exchangeSetCount}}
  data-extent-update={{this.exchangeUpdateCount}}
  {{did-update this.updateZoom @zoom}}
  {{did-update this.updateCenter @center}}
  {{did-update this.updateCenterM @centerM}}
  {{did-update this.updateConstrainRotation @constrainRotation}}
  {{did-update this.updateEnableRotation @enableRotation}}
  {{did-update this.updateConstrainOnlyCenter @constrainOnlyCenter}}
  {{did-update this.updateSmoothExtentConstraint @smoothExtentConstraint}}
  {{did-update this.updateMaxResolution @maxResolution}}
  {{did-update this.updateMinResolution @minResolution}}
  {{did-update this.updateMaxZoom @maxZoom}}
  {{did-update this.updateMinZoom @minZoom}}
  {{did-update this.updateMultiWorld @multiWorld}}
  {{did-update this.updateConstrainResolution @constrainResolution}}
  {{did-update this.updateSmoothResolutionConstraint @smoothResolutionConstraint}}
  {{did-update this.updateProjection @projection}}
  {{did-update this.updateRotation @rotation}}
  {{did-update this.updateZoomFactor @zoomFactor}}
  {{did-update this.updateExtentM @extentM}}
  {{did-update this.updateExtent @extent}}
  {{did-update this.updateConstraintExtent @constraintExtent}}
  {{did-update this.update @map}}
  {{did-insert this.update}}
>

  {{yield}}
</div>